Get OAuth2 well-known sites

Note: This endpoint is in preview and is subject to change. If you have any feedback, contact Datadog support.

GET https://api.ap1.datadoghq.com/api/v2/oauth2/.well-known/siteshttps://api.ap2.datadoghq.com/api/v2/oauth2/.well-known/siteshttps://api.datadoghq.eu/api/v2/oauth2/.well-known/siteshttps://api.ddog-gov.com/api/v2/oauth2/.well-known/siteshttps://api.us2.ddog-gov.com/api/v2/oauth2/.well-known/siteshttps://api.uk1.datadoghq.com/api/v2/oauth2/.well-known/siteshttps://api.datadoghq.com/api/v2/oauth2/.well-known/siteshttps://api.us3.datadoghq.com/api/v2/oauth2/.well-known/siteshttps://api.us5.datadoghq.com/api/v2/oauth2/.well-known/sites

Información general

Retrieve the list of public OAuth2 sites available for the current environment. This endpoint is used for OAuth2 discovery and returns sites where users can authenticate.

Respuesta

OK

Response payload containing the list of public OAuth2 sites for discovery.

Expand All

Campo

Tipo

Descripción

data [required]

object

Data object containing OAuth2 well-known sites information.

attributes [required]

object

Attributes containing the list of public OAuth2 sites.

sites [required]

[string]

Array of public OAuth2 site URLs for the environment.

id [required]

string

Environment identifier.

type [required]

enum

JSON:API resource type for OAuth2 well-known sites environment. Allowed enum values: env

default: env

{
  "data": {
    "attributes": {
      "sites": [
        "datadoghq.com",
        "datadoghq.eu",
        "us5.datadoghq.com",
        "us3.datadoghq.com",
        "ap1.datadoghq.com",
        "ap2.datadoghq.com"
      ]
    },
    "id": "prod",
    "type": "env"
  }
}

Too many requests

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Ejemplo de código

                  # Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/oauth2/.well-known/sites" \ -H "Accept: application/json"